from rest_framework import viewsets
from django_filters.rest_framework import DjangoFilterBackend
from api.serializers import ParaderoLineaSerializer
from api.models import ParaderoLinea
import logging

class ParaderoLineaViewSet(viewsets.ModelViewSet):
    queryset = ParaderoLinea.objects.all()
    serializer_class = ParaderoLineaSerializer
    filter_backends = [DjangoFilterBackend]
    filterset_fields = ['id_linea', 'id_paradero']